安装cocoapods遇到的坑

最近重装了系统,安装cocoapods时又遇到了问题。
总结下吧:
ruby 的软件源 https://rubygems.org 因为使用的是亚马逊的云服务,所以被墙了,需要更新一下 ruby 的源,使用如下代码将官方的 ruby 源替换成国内淘宝的源


gem sources --remove https://rubygems.org/
gem sources -a https://ruby.taobao.org/
gem sources -l


再次运行:
**
sudo gem install cocoapods
**
尼玛又有坑:


ERROR: While executing gem ... (Errno::EPERM)
Operation not permitted - /usr/bin/pod


最后调整安装路径,OK。


sudo gem install -n /usr/local/bin cocoapods


Successfully installed cocoapods-1.2.0
Parsing documentation for cocoapods-1.2.0
Installing ri documentation for cocoapods-1.2.0
1 gem installed

推荐阅读更多精彩内容